curl --request POST \
--url https://lazyapp.in/v1/events \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "order.shipped",
"recipient": {
"value": "<string>",
"phone_number": "<string>"
},
"properties": {},
"idempotency_key": "<string>",
"deliver": true
}
'import requests
url = "https://lazyapp.in/v1/events"
payload = {
"type": "order.shipped",
"recipient": {
"value": "<string>",
"phone_number": "<string>"
},
"properties": {},
"idempotency_key": "<string>",
"deliver": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
type: 'order.shipped',
recipient: {value: '<string>', phone_number: '<string>'},
properties: {},
idempotency_key: '<string>',
deliver: true
})
};
fetch('https://lazyapp.in/v1/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://lazyapp.in/v1/events",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'type' => 'order.shipped',
'recipient' => [
'value' => '<string>',
'phone_number' => '<string>'
],
'properties' => [
],
'idempotency_key' => '<string>',
'deliver' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://lazyapp.in/v1/events"
payload := strings.NewReader("{\n \"type\": \"order.shipped\",\n \"recipient\": {\n \"value\": \"<string>\",\n \"phone_number\": \"<string>\"\n },\n \"properties\": {},\n \"idempotency_key\": \"<string>\",\n \"deliver\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://lazyapp.in/v1/events")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"type\": \"order.shipped\",\n \"recipient\": {\n \"value\": \"<string>\",\n \"phone_number\": \"<string>\"\n },\n \"properties\": {},\n \"idempotency_key\": \"<string>\",\n \"deliver\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://lazyapp.in/v1/events")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"type\": \"order.shipped\",\n \"recipient\": {\n \"value\": \"<string>\",\n \"phone_number\": \"<string>\"\n },\n \"properties\": {},\n \"idempotency_key\": \"<string>\",\n \"deliver\": true\n}"
response = http.request(request)
puts response.read_body{
"uuid": "<string>",
"event_uuid": "<string>",
"request_id": "<string>",
"status": "<string>",
"type": "<string>",
"provider_message_id": "<string>",
"error_message": "<string>"
}{
"uuid": "<string>",
"event_uuid": "<string>",
"status": "recorded",
"type": "<string>"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "The API is on the Pro plan. Upgrade in Billing to use live keys. Test keys keep working.",
"code": "plan_limit_reached"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>",
"code": "<string>"
}Send an event
Events map to templates, so your application can say what happened and let LazyApp decide which template to send. type accepts the built-in library plus any event you have defined in the workspace.
Address the recipient with recipient.phone_number, or set recipient.type to contact_id and put the contact uuid in recipient.value.
Send "deliver": false to record an event without messaging the customer. An event type with no template mapping is refused unless you do. Define your own types with PUT /v1/event-definitions/{type}.
Required scope: messages:send
curl --request POST \
--url https://lazyapp.in/v1/events \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "order.shipped",
"recipient": {
"value": "<string>",
"phone_number": "<string>"
},
"properties": {},
"idempotency_key": "<string>",
"deliver": true
}
'import requests
url = "https://lazyapp.in/v1/events"
payload = {
"type": "order.shipped",
"recipient": {
"value": "<string>",
"phone_number": "<string>"
},
"properties": {},
"idempotency_key": "<string>",
"deliver": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
type: 'order.shipped',
recipient: {value: '<string>', phone_number: '<string>'},
properties: {},
idempotency_key: '<string>',
deliver: true
})
};
fetch('https://lazyapp.in/v1/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://lazyapp.in/v1/events",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'type' => 'order.shipped',
'recipient' => [
'value' => '<string>',
'phone_number' => '<string>'
],
'properties' => [
],
'idempotency_key' => '<string>',
'deliver' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://lazyapp.in/v1/events"
payload := strings.NewReader("{\n \"type\": \"order.shipped\",\n \"recipient\": {\n \"value\": \"<string>\",\n \"phone_number\": \"<string>\"\n },\n \"properties\": {},\n \"idempotency_key\": \"<string>\",\n \"deliver\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://lazyapp.in/v1/events")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"type\": \"order.shipped\",\n \"recipient\": {\n \"value\": \"<string>\",\n \"phone_number\": \"<string>\"\n },\n \"properties\": {},\n \"idempotency_key\": \"<string>\",\n \"deliver\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://lazyapp.in/v1/events")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"type\": \"order.shipped\",\n \"recipient\": {\n \"value\": \"<string>\",\n \"phone_number\": \"<string>\"\n },\n \"properties\": {},\n \"idempotency_key\": \"<string>\",\n \"deliver\": true\n}"
response = http.request(request)
puts response.read_body{
"uuid": "<string>",
"event_uuid": "<string>",
"request_id": "<string>",
"status": "<string>",
"type": "<string>",
"provider_message_id": "<string>",
"error_message": "<string>"
}{
"uuid": "<string>",
"event_uuid": "<string>",
"status": "recorded",
"type": "<string>"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "The API is on the Pro plan. Upgrade in Billing to use live keys. Test keys keep working.",
"code": "plan_limit_reached"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>",
"code": "<string>"
}Authorizations
Your API key, e.g. sk_live_... or sk_test_....
Headers
Optional. Makes this write safe to retry: the same key replays the first response instead of acting twice.
255Body
64"order.shipped"
Show child attributes
Show child attributes
191false records the event in the history and starts api_event workflows without sending a message, for things like a qualified lead or a check-in. Answered with 202.